#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : batch_schema.py
# Author: Souheil CHELFOUH
#         mailto:souheil@pilotsystems.net
#         http://www.pilotsystems.net
# Date  : 2006-06-20
#######################################################################

__author__	= 'souheil@pilotsystems.net'
__docformat__	= 'plaintext'

from Products.Archetypes.public import Schema
from Products.Archetypes.public import IntegerField, IntegerWidget

batchSchema = Schema((
    IntegerField('batchSize',
        required = True,
        default  = 15,
        widget   = IntegerWidget(description = "The number of items you wish to display",
                                 description_msgid = "help_batchsize",
                                 label = "Batch size",
                                 label_msgid = "label_batchsize",
                                 i18n_domain = "PloneGossip",)),
    ))
