#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : config.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

# My project
PROJECTNAME = "PloneGossip"

# Globals
product_globals = globals()

# Types using portal factory
FACTORY = ('PGForum',
           'PGThread',
           'PGPost',)

# Reviewable
REVIEWABLE_TYPES = ('PGThread',
                    'PGPost',)

# Types to hide from navigation
HIDDEN = ('PGPost',)

# Stylesheets
STYLESHEETS = (
    {'id'       : 'plonegossip.css',
     'media'    : 'screen',
     'rendering': 'import'
     },
    )

# Javascripts
JAVASCRIPTS = (
#    {'id': 'myjavascript.js.dtml',},
        )
