#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : thread_content.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-06-19
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import Schema
from Products.Archetypes.public import BooleanField, BooleanWidget
from Products.PloneGossip.schemas import bodySchema

threadSchema = Schema((
    BooleanField('isThreaded',
        widget = BooleanWidget(description = "The replies will be nested in threads, if this is checked",
                               description_msgid = "help_isthreaded",
                               label = "Is the discussion threaded ?",
                               label_msgid = "label_isthreaded",
                               i18n_domain = "PloneGossip",)),
    )) + bodySchema.copy()
